Main Page Modules Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# IdeRenderState Class Reference

The base renderstate class. More...

`#include <deRenderStates.hpp>`

Inheritance diagram for IdeRenderState:

[legend]
Collaboration diagram for IdeRenderState:

[legend]
List of all members.

## Public Types
enum | Type { TYPE_RSTATE = -1, TYPE_TEXTURE = 0, TYPE_LIGHT, TYPE_MATERIAL, TYPE_COUNT, TYPE_FORCE_32BIT = 0x7FFFFFFF }
## Public Member Functions
virtual IdeRenderState::Type | GetRSType () const=0
virtual void * | GetRSInterface (IdeRenderState::Type type) const=0
virtual deBoolean | Lock ()=0
| You must call this method before calling any Set*** methods.
virtual deBoolean | Unlock ()=0
| You must call this method once you are done setting data, so that something else may.
## Protected Member Functions
virtual | ~IdeRenderState ()

## Detailed Description

The base renderstate class.

## Member Enumeration Documentation

enum IdeRenderState::Type

  | Enumeration values:
  TYPE_RSTATE |
  TYPE_TEXTURE |
  TYPE_LIGHT |
  TYPE_MATERIAL |
  TYPE_COUNT |
  TYPE_FORCE_32BIT |

## Constructor & Destructor Documentation

virtual IdeRenderState::~IdeRenderState | ( |  | ) | `[inline, protected, virtual]`

## Member Function Documentation

virtual void* IdeRenderState::GetRSInterface | ( | IdeRenderState::Type | type | ) | const`[pure virtual]`

| Implemented in deRenderTexture, deRenderMaterial, and deRenderLight.

virtual IdeRenderState::Type IdeRenderState::GetRSType | ( |  | ) | const`[pure virtual]`

| Implemented in IdeRenderTexture, IdeRenderMaterial, IdeRenderLight, deRenderTexture, deRenderMaterial, and deRenderLight.

virtual deBoolean IdeRenderState::Lock | ( |  | ) | `[pure virtual]`

| You must call this method before calling any Set*** methods. Implemented in deRenderState.

virtual deBoolean IdeRenderState::Unlock | ( |  | ) | `[pure virtual]`

| You must call this method once you are done setting data, so that something else may. Implemented in deRenderState.

The documentation for this class was generated from the following file:

- deRenderStates.hpp